Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Containers for J2EE Job Scheduler Java API Reference 10g Release 3 (10.1.3) B16026-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ias.scheduler.event
Class JobExecutionEvent

    java.lang.Object
      oracle.ias.scheduler.event.SchedulerEvent
          oracle.ias.scheduler.event.RestartEvent
              oracle.ias.scheduler.event.JobExecutionEvent

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  JobExecutionCancelledEvent, JobExecutionErrorEvent, JobExecutionFailedEvent, JobExecutionSucceededEvent

public abstract class JobExecutionEvent
extends RestartEvent

This is the base class for all job execution-related events.

See Also:
  Serialized Form

Field Summary
`protected long` | `m_beginTime`
`protected long` | `m_endTime`
`protected java.lang.String` | `m_id`

Fields inherited from class oracle.ias.scheduler.event.RestartEvent
`m_replay, m_retry`

Fields inherited from class oracle.ias.scheduler.event.SchedulerEvent
`m_source, m_timestamp`

Constructor Summary
`JobExecutionEvent()`
`JobExecutionEvent(JobHandle job, long beginTime, long endTime, boolean isReplay, boolean isRetry)` Initializes a newly created `JobExecutionEvent` with the job handle, execution begin time, and execution end time specified.

Method Summary
`boolean` | `equals(java.lang.Object v)`
`long` | `getBeginTime()` Returns the time at which job execution started.
`long` | `getElapsedTime()` Returns the elapsed job execution time.
`long` | `getEndTime()` Returns the time at which job execution ended.
`java.lang.String` | `getId()` Returns the unique execution id string to correlate this event to a job's execution
`int` | `hashCode()`

Methods inherited from class oracle.ias.scheduler.event.RestartEvent
`isReplay, isRetry`

Methods inherited from class oracle.ias.scheduler.event.SchedulerEvent
`getHandle, getSource, getTimestamp`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_beginTime

    protected long m_beginTime

### m_endTime

    protected long m_endTime

### m_id

    protected java.lang.String m_id

Constructor Detail

### JobExecutionEvent

    public JobExecutionEvent(JobHandle job,
                             long beginTime,
                             long endTime,
                             boolean isReplay,
                             boolean isRetry)
                      throws java.lang.IllegalArgumentException

  Initializes a newly created `JobExecutionEvent` with the job handle, execution begin time, and execution end time specified.

Parameters:
  `job` - a handle to the job whose execution failed
  `isReplay` - whether this execution is a result of a replay
  `isRetry` - whether this execution is a result of a retry
Throws:
  `java.lang.IllegalArgumentException` - if isReplay and isRetry each evaluate to true for this event instance
See Also:
  `to retrieve the job handle.`

### JobExecutionEvent

    public JobExecutionEvent()

Method Detail

### getBeginTime

    public long getBeginTime()

  Returns the time at which job execution started.

  Returns:
    the difference, measured in milliseconds, between the execution begin time and midnight, January 1, 1970 UTC.

### getEndTime

    public long getEndTime()

  Returns the time at which job execution ended.

  Returns:
    the difference, measured in milliseconds, between the execution end time and midnight, January 1, 1970 UTC.

### getElapsedTime

    public long getElapsedTime()

  Returns the elapsed job execution time.

  Returns:
    elapsed time in milliseconds.

### getId

    public java.lang.String getId()

  Returns the unique execution id string to correlate this event to a job's execution

  Returns:
    the unique execution id for this event

### equals

    public boolean equals(java.lang.Object v)

  Overrides:
    `equals` in class `RestartEvent`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `RestartEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Containers for J2EE Job Scheduler Java API Reference 10g Release 3 (10.1.3) B16026-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.